package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/27 18:05
 */

@FeignClient(value = "dil-oms-dev", url = "${openfeign.OmsFeign.url}")
public interface OmsFeign {

    //远程调用新增运输订单
    @PostMapping("api/v1/oms/utilscontroller/insertSelectiveOrder")
    RESTfulResult insertSelectiveOrder(@RequestBody(required = false) Map<String, Object> omstruckOrder);

    @PostMapping("api/v1/oms/utilscontroller/updateOmsTruckOrder")
    RESTfulResult updateOmsTruckOrder(@RequestBody(required = false) Map<String,Object> omstruckOrder1);

    //远程调用新增运输订单子表
    @PostMapping("api/v1/oms/utilscontroller/insertSelectiveOrderMaterial")
    RESTfulResult insertSelectiveOrderMaterial(@RequestBody(required = false) Map<String, Object> omstruckOrderMaterial);

    //远程调用推送websocket
    @PostMapping("api/v1/oms/omstruckorderseparates/pushMesToWebsocket")
    RESTfulResult pushMesToWebsocket(@RequestBody(required = false) Map<String, Object> map);

    @PostMapping("api/v1/oms/omstruckorders/pushMessageToDriver")
    public RESTfulResult pushMessageToDriver(@RequestBody Map<String,Object> mapValue);

    // 远程调用查询销售订单所有信息
    @PostMapping("api/v1/oms/omstruckorderseparates/getSaleAllMessages")
    Map<String,Object> getSaleAllMessages(@RequestParam Integer orderId);

    //跨服务调用新增采购订单接口（一车多趟）
    @PostMapping("api/v1/oms/omstruckorderseparates/addNewTransportOrder")
    Map<String,Object> addNewTransportOrder(@RequestParam Integer orderId);

    @PostMapping("api/v1/oms/utilscontroller/addPurInwardOrder")
    Map<String,Object> addPurInwardOrder(@RequestParam BigDecimal orderId);


    @PostMapping("api/v1/oms/omstruckorderseparates/addNewTransportOrder")
    Map<String,Object> addNewTransportOrder(@RequestParam BigDecimal orderId);

    @PostMapping("api/v1/oms/omstruckorderseparates/closeInwardOrder")
    Map<String,Object> closeInwardOrder(@RequestParam("orderId") Integer orderId, @RequestParam("sqe") Integer sqe);

}
