package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstruckLoadResult;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * TmstruckLoadResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-02 10:38
 * 类描述
 * 修订历史：
 * 日期：2021-09-02
 * 作者：generator
 * 参考：
 * 描述：TmstruckLoadResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckLoadResultService{
    //查询所有的装车实绩
    List<Map<String, Object>> getAllLoadResult(Map<String, Object> map);

    //判断装货实绩是否含有“未装货”，如果含有未装货，则将路段顺序号减1
    int loadJudge(Map<String,Object> map);

    //生成装车实绩(销售)
    int addLoadResult(Map<String, Object> map);

    //修改销售装车实绩  （如果是多种物资【多拼】，通过物资Id和运输订单号来确定唯一的装车实绩进行修改）
    int addXSLoadResult(Map<String, Object> map);

    //修改销售钢渣、水渣、危化品装车实绩
    int addXS2LoadResult(Map<String, Object> map) throws Exception;

    //修改装车作业
    int updateLoadResult(TmstruckLoadResult tmstruckLoadResult);

    //通过Id获取装车实绩 数据 用于修改
    List<Map<String, Object>> getLoadResultById(Integer resultId);

    //逻辑删除装车作业
    int deleteLoadResult(Integer resultId);

    //修改装车作业作业点
    int updateLoadingIds(List<Map<String, Object>> map);

    //销售查询所有的装车实绩
    List<Map<String,Object>> selectLoadResultForSale(Map<String,Object> map);

    //内转物流，新增装车实绩
    int addLoadResultForconverted(Map<String,Object> map);

    //内转物流，修改装车实绩
    int updateLoadResultForconverted(Map<String,Object> map);

    //根据运输订单号查找装车实绩
    Map<String,Object> getLoadResultIdForOrderNumber(String orderNumber);

    //内转物流汽车装货展示
    List<Map<String,Object>> selectLoadResultForConverted(Map<String,Object> map);

    //通过实绩id渲染数据
    List<Map<String,Object>> selectLoadResultByResultId(Integer resultId);

    //内转物流火车装车新增装车实绩
    int addLoadResultForConverted(Map<String,Object> map);

    //查询所有正在进行进厂排队的销售订单
    List<Map<String, Object>> getSaleOrderOnQueue(Map<String, Object> map);

    //修改装车点和装车顺序
    int updateLoadingIdAndLoadSq(Map<String, Object> map);

    //新增达州站-厂内装车实绩
    int addDaZhouToDaGangLoadResult(Map<String, Object> map);

   //查询采购内转装车实绩
    List<Map<String, Object>> getCgNzLoadingResult(Map<String, Object> mapval);

}